module EWorld

    class BaseWriter

        PACKAGE     = '{{--PACKAGE--}}'
        CLASS       = '{{--CLASS--}}'
        CLASS_LOWER = '{{--CLASS-LOWER--}}'
        IMPORTS     = '{{--IMPORTS--}}'

        # Generic method to get root path for Controllers/Services in Java.
        # @return string.
        def self.get_java_path_for(project_path, path)
            controller_path        = "#{project_path}/#{Blufin::Strings::remove_surrounding_slashes(path)}"
            controller_path_parent = controller_path.split('/')
            controller_path_parent.pop
            "/#{Blufin::Strings::remove_surrounding_slashes(controller_path_parent.join('/'))}"
        end

    end

end